module JamRuby
  # Video analog to JamRuby::Track
  class VideoSource < ActiveRecord::Base
    self.table_name = "video_sources"
    self.primary_key = 'id'
    default_scope { order('created_at ASC') }
    belongs_to :connection, :class_name => "JamRuby::Connection", :inverse_of => :video_sources, :foreign_key => 'connection_id'
    validates :connection, presence: true
  end
end